%-------------------------------------------------------------------------------------------------------------
% Function of translating decimal degrees into sexagesimal system
% Tested : Matlab R2011b
%     By : Poltavsky Sasha          02.06.2012
%    URL : www.bible-exodus.narod2.ru/articles/astro_ephemeris/jpl_ephemeris/jpl_ephemeris.html#angle_10_to_60
%--------------------------------------------------------------------------------------------------------------
% an   - angle in decimal degrees
% prec - precision in "

function anstr = angl2minsec (an, prec, varargin)

      if nargin == 1 ; sprec='0'; 
      else
          sprec=int2str(prec);
      end
      
      if an<0 ; s_sign='-'; else s_sign=' '; end
      
      an1=fix(abs(an));
      an2=abs(rem(an,1));
      an2=an2*0.6; 
      an3=rem(an2*100,1)*100;
      an2=fix(an2*100); 
      an3=an3*0.6; 
      anstr=sprintf('%s%s%s''%s"', s_sign, int2str(an1), int2str(an2), num2str(an3, strcat('%2.',sprec,'f')));
return 
